$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.0.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '7F273F1B323FFA9E93C867BBDBA3BD3C81C62ADFE1422063E1BE21455CFD057E'
  checksumType = 'sha256'
  checksum64 = '7F273F1B323FFA9E93C867BBDBA3BD3C81C62ADFE1422063E1BE21455CFD057E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
